package com.th.demo.mapping.develop;

import com.th.demo.model.develop.DevBussinessTable;
import com.th.demo.model.develop.DevCodeMechine;
import com.th.demo.model.develop.DevTableProperty;

import java.util.List;

public interface DevBussinessTableMapper {
    int deleteByPrimaryKey(String id);

    int insert(DevBussinessTable record);

    int insertSelective(DevBussinessTable record);

    DevBussinessTable selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DevBussinessTable record);

    int updateByPrimaryKey(DevBussinessTable record);

    List<DevCodeMechine> selectFeildByTableName(String dbTableName);

    List<DevBussinessTable> select(String queryTableName);

    List<DevBussinessTable> selectByTableName(String dbTableName);

    List<DevBussinessTable> selectByProcessName(String processDefkey);

    DevBussinessTable selectByTableNameSingleResult(String dbTableName);

    DevBussinessTable selectByProcessDefinitionId(String processDefinitionId);
}